This patch enables html documentation in >= 1.0.5 of fvwm3
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -13,22 +13,27 @@ EXTRA_DIST = $(MODULE_ADOC)
 nothing:
 
 clean:
-	rm -f *.1 *.ad
+	rm -f *.1 *.ad *.html
 
 distclean-local: clean
 
 if FVWM_BUILD_MANDOC
-man1_MANS = $(patsubst %.adoc,%.1, $(MODULE_ADOC))
+man1_MANS = $(MODULE_ADOC:.adoc=.1)
+man1_HTML = $(MODULE_ADOC:.adoc=.html)
 EXTRACT_SECTIONS = \
 	commands \
 	menus \
 	styles
 SECTION_FILES = $(patsubst %,fvwm3_%.ad, $(EXTRACT_SECTIONS))
 
-all: docs
+all: docs html
+
 docs: $(man1_MANS)
 $(man1_MANS): $(SECTION_FILES)
 
+html: $(man1_HTML)
+$(man1_HTML): $(SECTION_FILES)
+
 %.ad: fvwm3_manpage_source.adoc
 	SECTION=$(patsubst fvwm3_%.ad,%,$@); \
 	cat "$<" | \
@@ -38,4 +43,8 @@ $(man1_MANS): $(SECTION_FILES)
 
 %.1: %.adoc
 	"$(ASCIIDOC)" -b manpage -a "$(patsubst %.1,%,$@)" "$<" -o "$@"
+
+%.html: %.adoc
+	"$(ASCIIDOC)" -b html5 -a "$(patsubst %.html,%,$@)" "$<" -o "$@"
+
 endif
